# $Revision: 1.89 $, $Date: 2002/05/17 07:48:59 $
#
# _with_pppoe - with PPPoE support (which requires kernel 2.4)
# _with_pppoatm - with PPPoATM support (which requires kernel 2.4 and atm-devel)
# _without_cbcp - without CBCP (MS CallBack Configuration Protocol)
Summary:	ppp daemon package for Linux
Summary(de):	ppp-Dmonpaket fr Linux
Summary(es):	Servidor ppp para Linux
Summary(fr):	Paquetage du dmon ppp pour Linux
Summary(pl):	Demon PPP dla Linuksa
Summary(pt_BR):	Servidor ppp para Linux
Summary(ru):	 ppp
Summary(tr):	PPP sunucu sreci
Summary(zh_CN):	PPP ú͹.
Name:		ppp
Version:	2.4.1
Release:	13
Epoch:		2
License:	distributable
Group:		Networking/Daemons
Source0:	ftp://ftp.samba.org/pub/ppp/%{name}-%{version}.tar.gz
Source1:	%{name}.pamd
Source2:	%{name}.pon
Source3:	%{name}.poff
Source4:	%{name}-non-english-man-pages.tar.bz2
Source5:	%{name}.logrotate
Patch0:		%{name}-make.patch
Patch1:		%{name}-expect.patch
Patch2:		%{name}-debian_scripts.patch
Patch3:		%{name}-static.patch
Patch4:		%{name}-CBCP.patch
Patch5:		%{name}-pam_session.patch
Patch6:		%{name}-wtmp.patch
Patch7:		%{name}-opt.patch
Patch8:		http://www.shoshin.uwaterloo.ca/~mostrows/%{name}-2.4.1-%{name}oe.patch2
Patch9:		%{name}-opt-%{name}oe.patch
#http://www.sfgoth.com/~mitch/linux/atm/pppoatm/pppoatm-pppd-vs-2.4.0b2+240600.diff.gz
Patch10:	%{name}-%{name}oatm.patch
Patch11:	%{name}-reap.patch
Patch12:	%{name}-warnings.patch
Patch13:	%{name}-zlib-sec.patch
Patch14:	%{name}-pidfile-owner.patch
Patch15:	%{name}-2.4.1-openssl-0.9.6-mppe-patch.gz
Patch16:	%{name}-2.4.1-MSCHAPv2-fix.patch.gz
URL:		http://www.samba.org/ppp/
BuildRequires:	pam-devel
%{?_with_pppoatm:BuildRequires:	linux-atm-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the daemon and documentation for PPP support. It requires a
kernel greater than 2.2.11 which is built with PPP support. The
default kernels include PPP support as a module. This version supports
IPv6, too.

%description -l de
Dies ist der Dmon und die Dokumentation fr PPP-Support. Erfordert
einen Kernel hher als 2.2.11, der mit PPP-Support gebaut ist. Die
Standard- Red-Hat-Kernel schlieen PPP-Support als Modul ein. (IPv6)

%description -l es
Este es el servidor y la documentacin para soporte PPP. Requiere un
kernel superior al 2.0. Los kernels padrn de la Conectiva incluyen
soporte PPP como mdulo.

%description -l fr
Ceci est le dmon et la documentation pour le support PPP. Cela
rclame un noyau suprieur au 2.2.11 et construit avec le support PPP.
Le noyau par dfaut de Red Hat contient le support PPP sous forme de
module. (IPv6)

%description -l pl
Pakiet zawiera demona i dokumentacj umoliwiajc korzystanie z
protokou PPP. Wymaga jdra 2.2.11 - lub pniejszego - z wkompilowan
obsug protokou PPP. Standardowe jdro z dystrybucji zawiera
wsparcie dla PPP skompilowane jako modu. (IPv6)

%description -l pt_BR
Este  o servidor e a documentao para suporte PPP. Ele requer um
kernel superior ao 2.0. Os kernels-padro da Conectiva incluem suporte
PPP como mdulo.

%description -l ru
,       PPP.

%description -l tr
Bu paket PPP destei iin belgeler ve sunucu srecini ierir. ekirdek
srmnun 2.2.11'dan daha yksek olmasn gerektirir. ntanml Red
Hat ekirdei PPP desteini bir modl olarak ierir. (IPv6)

%package pppoatm
Summary:	PPP Over ATM plugin
Summary(pl):	Wtyczka PPP-po-ATM
Group:		Networking/Daemons
Requires:	%{name} = %{version}

%description pppoatm
PPP Over ATM plugin.

%description pppoatm -l pl
Wtyczka PPP-po-ATM.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%{!?_with_pppoe:%patch7 -p1}
%{?_with_pppoe:%patch8 -p1}
%{?_with_pppoe:%patch9 -p1}
%{?_with_pppoatm:%patch10 -p1}
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1

%build
%configure
%{__make} OPT_FLAGS="%{rpmcflags}" \
	CC=%{__cc} \
	%{!?_without_cbcp:CBCP=1}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_bindir},%{_mandir}/man{1,8}} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/{pam.d,ppp/peers},/var/log} \
	$RPM_BUILD_ROOT/etc/logrotate.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/pon
install %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/poff
install debian/plog $RPM_BUILD_ROOT%{_bindir}

install etc.ppp/chap-secrets $RPM_BUILD_ROOT%{_sysconfdir}/ppp
install debian/pap-secrets $RPM_BUILD_ROOT%{_sysconfdir}/ppp
install debian/options $RPM_BUILD_ROOT%{_sysconfdir}/ppp
install debian/options.ttyXX $RPM_BUILD_ROOT%{_sysconfdir}/ppp

bzip2 -dc %{SOURCE4} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

install %{SOURCE5} $RPM_BUILD_ROOT/etc/logrotate.d/ppp
> $RPM_BUILD_ROOT/var/log/ppp.log

rm -f scripts/README

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/ppp

gzip -9nf README.linux debian/README.debian debian/win95.ppp \
	README.MSCHAP80 FAQ debian/ppp-2.3.0.STATIC.README \
	README.MPPE

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc {README.linux,debian/README.debian}.gz scripts
%doc {debian/win95.ppp,README.MSCHAP80,FAQ,debian/ppp-2.3.0.STATIC.README}.gz
%doc README.MPPE.gz
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/chat
%attr(755,root,root) %{_sbindir}/pppstats
%attr(755,root,root) %{_sbindir}/pppd
%if %{?_with_pppoatm:1}%{!?_with_pppoatm:0}%{?_with_pppoatm:1}%{!?_with_pppoatm:0}
%dir %{_libdir}/pppd
%dir %{_libdir}/pppd/%{version}
%endif
%{?_with_pppoatm:%attr(755,root,root) %{_libdir}/pppd/%{version}/minconn.so}
%{?_with_pppoatm:%attr(755,root,root) %{_libdir}/pppd/%{version}/passprompt.so}
%{?_with_pppoe:%attr(755,root,root) %{_libdir}/pppd/%{version}/pppoe.so}
%{_mandir}/man8/*
%lang(fr) %{_mandir}/fr/man8/*
%lang(ja) %{_mandir}/ja/man8/*
%lang(ko) %{_mandir}/ko/man8/*
%lang(pl) %{_mandir}/pl/man8/*

%attr(600,root,root) %config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/ppp/*-secrets
%attr(644,root,root) %config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/ppp/options*
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /etc/pam.d/ppp
%attr(640,root,root) /etc/logrotate.d/ppp
%attr(640,root,root) %ghost /var/log/ppp.log

%dir %{_sysconfdir}/ppp/peers

%{?_with_pppoatm:%files pppoatm}
%{?_with_pppoatm:%defattr(644,root,root,755)}
%{?_with_pppoatm:%attr(755,root,root) %{_libdir}/pppd/%{version}/pppoatm.so}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ppp.spec,v $
Revision 1.89  2002/05/17 07:48:59  kloczek
- merge translations from KSI and TurboLinux.

Revision 1.88  2002/05/16 12:29:36  zagrodzki
- added MPPE support
- fixed owner of pidfile
- rel 13
- STBR

Revision 1.87  2002/03/27 11:19:56  orzech

- norelpace to /etc/ppp/options*
- rel 11

Revision 1.86  2002/03/14 00:08:04  qboosh
- release 10: fixed OPT_FLAGS passing in opt and opt-pppoe patches

Revision 1.85  2002/03/13 08:43:59  misiek
- SECURITY: fixed internal zlib implementation; release 9

Revision 1.84  2002/03/13 08:24:35  misiek
- fixed url

Revision 1.83  2002/02/22 23:29:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.82  2002/01/18 02:14:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.81  2002/01/02 18:44:49  baggins
- buildrequires linux-atm-devel for pppoa

Revision 1.80  2001/12/28 17:12:18  gotar
- typo.

Revision 1.79  2001/12/13 02:59:00  gotar
- %install: touch changed to >.

Revision 1.78  2001/12/13 02:38:27  gotar
- fixed Linux name spelling.

Revision 1.77  2001/12/07 22:21:23  gotar
- added logrotate rule for /var/log/ppp.log,
- release 8.

Revision 1.76  2001/12/07 21:12:45  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.75  2001/12/01 21:37:06  kloczek
- typo.

Revision 1.74  2001/12/01 21:27:06  kloczek
- fixed %install: forrection touch file for %ghost log.

Revision 1.73  2001/11/30 20:35:35  gotar
- fixed broken logs.

Revision 1.72  2001/11/30 20:23:11  gotar
- added /var/log/ppp.log log,
- release 6.

Revision 1.71  2001/11/28 00:28:31  blues
- release 5

Revision 1.70  2001/11/28 00:15:28  qrczak
- Fix descriptions of _with_ppp*.

Revision 1.69  2001/11/27 23:24:23  blues
- reversed conditions for ppp-o-e and ppp-o-atm
- renamed these
NOTE: 2.2 is still default PLD kernel...

Revision 1.68  2001/11/27 18:51:45  qboosh
- fixed non-english-man-pages source# in %%install

Revision 1.67  2001/11/27 00:22:31  ankry
- added fr, ja, ko, pl man pages

Revision 1.66  2001/11/18 14:18:18  kloczek
- release 4.

Revision 1.65  2001/11/18 12:47:15  hunter
-Added config (noreplace) to *-secres files
-STBR

Revision 1.64  2001/11/16 06:37:07  kloczek
- release 3,
- merged reap, warnings patches from rawhide,
- merged translations from CNV,
- fix %files for build correctly on kernel 2.2.x.

Revision 1.63  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.62  2001/10/18 16:40:23  gotar
- cosmetics.

Revision 1.61  2001/09/09 17:46:13  gotar
- cosmetical changes in descriptions.

Revision 1.60  2001/08/30 12:18:49  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.59  2001/08/26 10:35:59  gotar
- adapterized.

Revision 1.58  2001/08/22 17:28:31  filon
- removed stripping executables, it's done by rpm automation

Revision 1.57  2001/07/14 17:28:12  gotar
- removed redundant rpm macros.

Revision 1.56  2001/06/30 17:13:40  gotar
- added missingok flag for %{_sysconfdir}/ppp/{*-secrets,options*} files,
- added using %{__*} macros.

Revision 1.55  2001/06/15 16:08:57  baggins
- fixed pppoatm patch
- added without_pppoatm bcond
- added pppoatm package

Revision 1.54  2001/06/12 16:12:17  qboosh
- updated opt patch (no-PPPoE version)
- changed opt-pppoe patch - use DESTDIR when installing plugins
- s/no_cbcp/_without_cbcp/

Revision 1.53  2001/06/10 21:22:08  misiek
- updated patches
- new PPPoE patch
- version 2.4.1

Revision 1.52  2001/05/22 09:06:51  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.51  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.50  2001/03/05 23:54:12  qboosh
- _without_pppoe (PPPoE requires kernel 2.4)

Revision 1.49  2001/03/03 10:36:08  misiek
2.4.0 is back again

Revision 1.46  2001/01/25 20:03:47  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.45  2001/01/18 15:03:23  baggins
- release 5
- added PPP over Ethernet patch

Revision 1.44  2000/12/28 14:46:04  baggins
- release 4
- fixed wtmp patch

Revision 1.43  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.42  2000/12/19 05:03:53  kloczek
- release 3: merge pam_session and wtmp RH patches.

Revision 1.41  2000/12/18 23:56:25  lukasz
- added speed patch

Revision 1.40  2000/10/22 23:32:17  kloczek
- added "Epoch: 1" for allow upgrade from 2.4.0b2.

Revision 1.39  2000/10/22 22:55:14  misiek
removed ipv6 patch (obsolete)

Revision 1.38  2000/10/22 22:24:17  misiek
updated to 2.4.0; ipv6cp-use-persistent probably fixed

Revision 1.37  2000/10/20 01:37:18  kloczek
- release 3: use new rpm automation.

Revision 1.36  2000/09/25 15:22:47  kloczek
- switch for CBCP changed from without_cbcp to no_cbcp.

Revision 1.35  2000/09/21 09:28:06  kloczek
- more fixes for CBCP:
-- added CBCP patch,
-- in default configuration pppd is builded with CBCP but pass --define
   "without-cbcp 1" to rpm parameters allow build pppd without CBCP.

Revision 1.34  2000/09/21 08:56:19  kloczek
- release 2,
- adapterized and added -DCBCP_SUPPORT to compile options (Enable Call Back
  Configuration Protocol).

Revision 1.33  2000/06/09 07:23:51  kloczek
- added using %%{__make} macro.

Revision 1.32  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.31  2000/05/05 15:05:59  mis
- Group: synced with PLD groups

Revision 1.30  2000/04/20 22:44:37  waszi
- updated to 2.4.0b2

Revision 1.29  2000/04/15 18:21:49  kloczek
- release 5,
- added /etc/ppp/peers directory for call option.

Revision 1.28  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.27  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.26  2000/02/29 16:14:39  kloczek
- release 4.

Revision 1.25  2000/02/29 11:09:33  misiek
- added ipv6 patch

Revision 1.24  2000/02/23 17:13:37  wiget
- Don't hardcode RPM_OPT_FLAGS in Makefiles

Revision 1.23  2000/02/23 16:35:30  misiek
- info about IPv6 (it wasn't broken !)

Revision 1.22  2000/02/23 10:20:33  waszi
- disable ipv6 support (its broken)

Revision 1.21  2000/02/20 14:01:48  kloczek
- release 2 (in rawhide is 1).

Revision 1.20  2000/02/18 09:52:38  waszi
- updated to 2.3.11

Revision 1.19  2000/02/17 19:01:02  zagrodzki

- buildrequires: pam-devel

Revision 1.18  1999/10/13 07:55:27  waszi
- updated to 2.3.10

Revision 1.17  1999/09/01 01:24:07  kloczek
- cosmetics.

Revision 1.16  1999/08/29 13:35:54  pius
- fixed installing man pages

Revision 1.15  1999/08/20 14:59:28  misiek
added man page

Revision 1.14  1999/08/17 10:38:07  misiek
ipv6 ready ppp package

Revision 1.11  1999/07/31 13:53:56  misiek
added missing patch

Revision 1.10  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Jun 06 1999 Jan Rkorajski <baggins@pld.org.pl>
  [2.3.8-1]
- small fixes

* Wed Apr 28 1999 Piotr Czerwiski <pius@pld.org.pl>
  [2.3.7-1]
- updated to 2.3.7,
- removed ppp-2.3.5-glibc.diff,
- added ppp-auth.patch,
- split ppp-2.3.5.debian.patch into separate patches,
- updated all patches for new version,
- simplifications in %install,
- changes in %files,
- fixed passing RPM_OPT_FLAGS during compilation,
- added stripping binaries,
- major changes,
- recompiled on rpm 3.

* Tue Feb 02 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
  [2.3.5-3d]
- added debian patch
- corrected permissions

* Mon Aug 31 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [2.3.5-1d]
- build against glibc-2.1,
- changed permissions of all binaries to 711,
- build from non root's account,
- build with PAM support,
- added md5 support.

* Wed Aug 26 1998 Krzysztof G. Baranowski <kgb@knm.org.pl>
  [2.3.5-1]
- build against glibc-2.0.7,
- translations modified for pl,
- added small patch to solve problems with glibc.
